import { select, csv } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const render = data => {
  svg.selectAll('rect')
  .enter().append('rect')
    .attr('width',300)
    .attr('height',300)
});

csv('data.csv').then(data => {
  data.forEach(d=> {
    d.population = +d.population*1000;
  });
  render(data);
});